#!/bin/bash

export CC=gcc
export LD=ld
echo "# Intel MPI" >> ${SRC_DIR}/mpi.cfg
echo "[impi]" >> ${SRC_DIR}/mpi.cfg
echo "include_dirs         = ${PREFIX}/include" >> ${SRC_DIR}/mpi.cfg
echo "libraries            = mpi" >> ${SRC_DIR}/mpi.cfg
echo "library_dirs         = ${PREFIX}/lib" >> ${SRC_DIR}/mpi.cfg

export LD_LIBRARY_PATH=${PREFIX}/lib/libfabric:$LD_LIBRARY_PATH
export LDFLAGS="-Wl,-rpath=$PREFIX/lib/libfabric/ $LDFLAGS"
$PYTHON setup.py build --mpi=impi
$PYTHON setup.py install

# Remove cython pyc file that introduces clobber issues at install time
rm ${SP_DIR}/__pycache__/cython.cpython-${CONDA_PY}.pyc
